// @(#)root/proofx:$Name:  $:$Id: TXHandler.cxx,v 1.1 2006/04/19 10:50:01 rdm Exp $
// Author: G. Ganis Mar 2006

/*************************************************************************
 * Copyright (C) 1995-2006, Rene Brun and Fons Rademakers.               *
 * All rights reserved.                                                  *
 *                                                                       *
 * For the licensing terms see $ROOTSYS/LICENSE.                         *
 * For the list of contributors see $ROOTSYS/README/CREDITS.             *
 *************************************************************************/

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TXHandler                                                            //
//                                                                      //
// Handler of asynchronous events for xproofd sockets.                  //
// Classes needing this should inherit from this and overload the       //
// relevant methods.                                                    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "TError.h"
#include "TXHandler.h"

//________________________________________________________________________
Bool_t TXHandler::HandleInput()
{
   // Handler of asynchronous input events

   AbstractMethod("HandleInput");
   return kTRUE;
}

//________________________________________________________________________
Bool_t TXHandler::HandleError()
{
   // Handler of asynchronous error events

   AbstractMethod("HandleError");
   return kTRUE;
}
